/v1/labels/{id}/translations/{locale} (PUT)
PUT
/v1/labels/{id}/translations/{locale}
const url = 'https://example.com/v1/labels/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/translations/bg';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"description":"example","description_full":"example","designation_of_origin":"example","origin":"example","region":"example","quality":"example","sensory_description":"example","aroma":"example","serving_temperature":"example","harvest_date":"example","age_of_the_vines":"example","soil":"example","yield_per_hectare":"example","maturation":"example","aging_potential":"example","single_vineyard":"example","allergen_text":"example","custom_ingredients":"example","message_certifications":"example","message_food_pairing":"example","message_geographical":"example","message_organic":"example","message_production_method":"example","message_recycling":"example","message_responsible_consumption":"example","message_sustainability":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/v1/labels/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/translations/bg \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "description": "example", "description_full": "example", "designation_of_origin": "example", "origin": "example", "region": "example", "quality": "example", "sensory_description": "example", "aroma": "example", "serving_temperature": "example", "harvest_date": "example", "age_of_the_vines": "example", "soil": "example", "yield_per_hectare": "example", "maturation": "example", "aging_potential": "example", "single_vineyard": "example", "allergen_text": "example", "custom_ingredients": "example", "message_certifications": "example", "message_food_pairing": "example", "message_geographical": "example", "message_organic": "example", "message_production_method": "example", "message_recycling": "example", "message_responsible_consumption": "example", "message_sustainability": "example" }'Replace the label translation for one locale. The body is the complete content for that locale; absent fields are stored as null. The locale itself comes from the path, never the body.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
locale
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
description
string | null
description_full
string | null
designation_of_origin
string | null
origin
string | null
region
string | null
quality
string | null
sensory_description
string | null
aroma
string | null
serving_temperature
string | null
harvest_date
string | null
age_of_the_vines
string | null
soil
string | null
yield_per_hectare
string | null
maturation
string | null
aging_potential
string | null
single_vineyard
string | null
allergen_text
string | null
custom_ingredients
string | null
message_certifications
string | null
message_food_pairing
string | null
message_geographical
string | null
message_organic
string | null
message_production_method
string | null
message_recycling
string | null
message_responsible_consumption
string | null
message_sustainability
string | null
Examplegenerated
{ "description": "example", "description_full": "example", "designation_of_origin": "example", "origin": "example", "region": "example", "quality": "example", "sensory_description": "example", "aroma": "example", "serving_temperature": "example", "harvest_date": "example", "age_of_the_vines": "example", "soil": "example", "yield_per_hectare": "example", "maturation": "example", "aging_potential": "example", "single_vineyard": "example", "allergen_text": "example", "custom_ingredients": "example", "message_certifications": "example", "message_food_pairing": "example", "message_geographical": "example", "message_organic": "example", "message_production_method": "example", "message_recycling": "example", "message_responsible_consumption": "example", "message_sustainability": "example"}Responses
Section titled “ Responses ”The stored translation
Media typeapplication/json
object
locale
required
string
description
required
string | null
description_full
required
string | null
designation_of_origin
required
string | null
origin
required
string | null
region
required
string | null
quality
required
string | null
sensory_description
required
string | null
aroma
required
string | null
serving_temperature
required
string | null
harvest_date
required
string | null
age_of_the_vines
required
string | null
soil
required
string | null
yield_per_hectare
required
string | null
maturation
required
string | null
aging_potential
required
string | null
single_vineyard
required
string | null
allergen_text
required
string | null
custom_ingredients
required
string | null
message_certifications
required
string | null
message_food_pairing
required
string | null
message_geographical
required
string | null
message_organic
required
string | null
message_production_method
required
string | null
message_recycling
required
string | null
message_responsible_consumption
required
string | null
message_sustainability
required
string | null
Examplegenerated
{ "locale": "example", "description": "example", "description_full": "example", "designation_of_origin": "example", "origin": "example", "region": "example", "quality": "example", "sensory_description": "example", "aroma": "example", "serving_temperature": "example", "harvest_date": "example", "age_of_the_vines": "example", "soil": "example", "yield_per_hectare": "example", "maturation": "example", "aging_potential": "example", "single_vineyard": "example", "allergen_text": "example", "custom_ingredients": "example", "message_certifications": "example", "message_food_pairing": "example", "message_geographical": "example", "message_organic": "example", "message_production_method": "example", "message_recycling": "example", "message_responsible_consumption": "example", "message_sustainability": "example"}Invalid body or unknown locale
Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
number
detail
string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example"}Missing or invalid bearer token
Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
number
detail
string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example"}Label not writable
Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
number
detail
string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example"}Upstream error
Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
number
detail
string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example"}